Subject: RE: [Entmib] entPhysicalUris object wrap-up

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 8 Dec 2004 22:10:05 +0100

Inline

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of Margaret Wasserman
> Sent: Wednesday, December 08, 2004 13:24
> To: Andy Bierman
> Cc: [email-masked]
> Subject: Re: [Entmib] entPhysicalUris object wrap-up
> 
> 
> 
> >I propose that this object be changed back to entPhysicalClei.
> >It should contain the empty string (for none) or a URI
> >string conforming to the CLEI URN specification (from Kaj).
> >If we think of other required semantics in the future,
> >we can add new objects then.
> 
> This makes sense to me if we can quickly, easily resolve the 
> reference issues.
> 
> Otherwise, I think we should just remove the object and let others 
> add it as an "augments" if/when the proposed contents are 
> well-defined.
> 
> >2) references
> >
> >As per Bert's comments, the citation to RFC 2396 will be
> >removed from the DESCRIPTION clause, since it is redundant.
> >Should this be changed to point to the CLEI URN specification,
> >or just add another document to the REFERENCE clause?
> >Where else should this spec be cited in the document?
> >There are normative references, so how long will the
> >Entity MIB be held up waiting for the CLEI URN RFC?
> 
> If we pursue this choice, I think that the CLEI URN document needs to 
> be a normative reference.  Kaj submitted a draft, but I don't know 
> what shape it is in and/or whether Bert is willing to either: (1) 
> allow this group to take on that document, or (2) move it forward as 
> an individual submission.  How close do folks think it is to ready 
> for publication?  Has a MIB doctor reviewed it?  Bert, do you have 
> any thoughts?
> 
I'd suggest that Kaj posts his doc to the IETF I-D repository asap, 
so all IETF people can see it.
Is it a doc that goes stds track, or what?

Besides, I see in the copy that I got from Kaj):
!! Missing citation for Normative reference:
  P007 L011: [RFC3406]   Daigle, L., van Gulik, D., Iannella, R. and P. Faltstrom,

idnits 1.47 (02 Nov 2004)

../../draft-tesink-urn-clei-00.txt:

  Looks like you're using RFC 2026 boilerplate. Better change to RFC 3667/3668.
  There are 4 instances of lines with non-ascii characters in the document.

Is the URN intended to be a FORMAL or an INFORMAL one (see rfc3406) ??

Bert
> >3) conformance
> >
> >Currently the new OBJECT-GROUP (entityPhysical3Group)
> >is in the MANDATORY-GROUPS clause.  If both objects
> >allow for null values, then this should not be a problem.
> 
> Okay.
> 
> >4) examples
> >
> >I don't really have time (or enough info) to fill in the
> >examples in section 4, but I know somebody will eventually
> >ask about this before RFC publication.  I would really
> >appreciate some help updating the examples.  (I need to
> >add an example for entPhysicalClass==cpu(12) as well.)
> >Any volunteers? (4.1 and 4.2 can be done independently)
> >I would like to get this over with now ;-)
> 
> Yes.  It would be good to get this finished, so volunteer 
> would be appreciated.
> 
> Margaret

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: Kaj Tesink <[email-masked]>
Date: Thu, 09 Dec 2004 12:10:14 -0500

At 04:10 PM 12/8/2004, Wijnen, Bert (Bert) wrote:
>[..snip..]

>so all IETF people can see it.

ok, will do; i just followed 3406 which asks it to be sent to
[email-masked] for initial review;
i assumed that this would also result in I-D posting
but perhaps not ...

>Is it a doc that goes stds track, or what?

looking at examples such as RFC3615 it would be an Informational RFC.

>   P007 L011: [RFC3406]   Daigle, L., van Gulik, D., Iannella, R. and P. 

it is in section 8, Normative References

>   Looks like you're using RFC 2026 boilerplate. Better change to RFC 

i used 3614/3615 as examples but can update this

>   There are 4 instances of lines with non-ascii characters in the document.

?? hmm, interesting; i guess my nroff gets rusty;
thanks for the flag, can you pl forward me the instances off-line?

>Is the URN intended to be a FORMAL or an INFORMAL one (see rfc3406) ??

i submitted it as Formal (Informal doesnt make much sense for this case)

kaj